E2FSCK(8)

NAZWA
e2fsck - Sprawdź system plików ext2fs (second extended filesystem)

SKŁADNIA
e2fsck [ -pacnyrdfvstFSV ] [ -b superblok ] [ -B rozmiar_bloku ] [ -l|-L plik_złych_bloków ] [ -C fd ] [ -j zewnętrzny_dziennik ] urządzenie

OPIS
e2fsck jest używany do sprawdzania systemu plików ext2fs. E2fsck obsługuje także systemy plików ext2 zawierające dziennik, znane również jako systemy plików ext3.

urządzenie
    jest specjalnym plikiem, odpowiadającym urządzeniu (np. /dev/hdc1).

OPCJE

-a  Ta opcja robi to samo co opcja -p. Jest udostępniana jedynie ze względu na kompatybilność wstecz; zaleca się używanie -p wszędzie tam, gdzie to możliwe.

-b superblok
    Zamiast używać normalnego superbloku, użyj innego, podanego przez superblok. Ta opcja używana jest, gdy podstawowy superblok został uszkodzony. Położenie kopii zapasowej superbloku zależne jest od rozmiaru bloku w danym systemie plików. W systemach plików o rozmiarze bloku 1k, kopia zapasowa superbloku znajduje się w bloku 8193, dla systemów plików o rozmiarze bloku 2k, w bloku 16384, zaś dla systemów plików o rozmiarze bloku 4k, w bloku 32768.

    Położenie dodatkowej kopii zapasowej superbloku może być określone poprzez użycie programu mke2fs z opcją -n drukującą położenia superbloków. Opcja -b programu mke2fs, określająca rozmiar bloku dla systemu plików musi być podana w dokładnie takiej samej kolejności, w jakiej wypisane zostały położenia.

    Jeżeli podany jest alternatywny superblok, a system plików nie jest otwarty w trybie tylko do odczytu, e2fsck sprawdzi, czy podstawowy superblok jest uaktualniony.

-B rozmiar_bloku
    Normalnie, e2fsck szuka superbloku w zmienianych rozmiarach bloku i próbuje znaleźć rozmiar odpowiedni. Ta technika czasem daje się ogłupić. Dlatego opcja ta wymusza na e2fsck wyszukiwanie superbloków o określonej wielkości bloku. Jeśli superblok nie zostanie znaleziony, e2fsck zakończy działanie z błędem krytycznym.

-c  Opcja ta powoduje, że e2fsck uruchamia program badblocks(8) w celu znalezienie uszkodzonych bloków systemu plików. Bloki takie są następnie zaznaczane poprzez dodawanie ich do inodu uszkodzonych bloków. Jeżeli opcja ta podana jest dwa razy, wtedy uszkodzone bloki będą poszukiwane przy użyciu nie-destruktywnego testu.

-C fd
    Ta opcja powoduje, że e2fsck wypisze kompletną informację do podanego deskryptoru pliku. Dzięki temu postęp sprawdzania systemu plików może być kontrolowany. Ta opcja jest używana przede wszystkim przez programu uruchamiające e2fsck. Jeżeli jako deskryptor pliku podane jest 0, e2fsck wypisze pasek postępu w swoim stylu. To wymaga, aby e2fsck uruchomiony był na konsoli lub na terminalu.

-d  Drukuj wyjście debuggowe (bezużyteczne, chyba że debuggujesz e2fsck).

-f  Wymuś sprawdzanie, nawet jeśli system wydaje się być czysty.

-F  Wypróżnij bufory systemu plików przed uruchomieniem programu. Przydatne właściwie tylko w czasowych próbach e2fsck.

-j zewnętrzny_dziennik
    Ustaw ścieżkę dostępu do zewnętrznego dziennika dla tego systemu plików.

-l plik
    Dodaj podane przez plik bloki do listy bloków uszkodzonych. Format pliku jest taki sam jak ten utworzony przez program badblocks(8). Zauważ, że numery bloków bazują na rozmiarze bloku systemu plików. Dlatego badblocks(8) musi otrzymać rozmiar bloku systemu plików. Jednak dużo łatwiejsze i bezpieczniejsze jest użycie opcji -c programu e2fsck, ponieważ zapewnia to przekazanie właściwych parametrów do programu badblocks.

-L plik
    Ustaw listę uszkodzonych bloków na listę bloków określoną przez plik. (Opcja ta jest identyczna z -l, poza tym, że przed dodaniem listy bloków z pliku, stara lista uszkodzonych bloków jest czyszczona).

-n  Otwórz system plików w trybie tylko do odczytu i załóż odpowiedź ``nie'' na wszystkie pytania. Umożliwia to użycie e2fsck w trybie nieinteraktywnym. (Zauważ: jeśli podano opcje -c, -l lub -L w połączeniu z -n, to system plików zostanie otworzony w trybie odczytu i zapisu, aby umożliwić odświeżenie listy uszkodzonych bloków. Inne zmiany nie będą dokonywane).

-p  Napraw automatycznie system plików bez żadnych pytań.

-r  Ta opcja nie robi nic; jest udostępniona dla kompatybilności wstecznej.

-s  Ta opcja wykona zamianę bajtów w systemie plików, tak aby były one w standardowej kolejności (czyli i386 lub little endian). Jeżeli bajty są już w takiej kolejności, e2fsck nic nie zrobi.

-S  Ta opcja wykona zamianę bajtów w systemie plików niezależnie od ich aktualnej kolejności.

-t  Drukuj statystyki czasowe dla e2fsck. Jeśli opcja ta jest użyta dwukrotnie, to drukowane są dodatkowe statystyki czasowe.

-v  Tryb gadatliwy (verbose).

-V  Drukuj informację o wersji i zakończ.

-y  Załóż odpowiedź ``yes'' na wszystkie pytania; umożliwia użycie e2fsck w trybie nieinteraktywnym.

KOD WYJŚCIA
Kod wyjścia zwracany przez e2fsck jest sumą następujących warunków:
    0    - Bez błędów
    1    - Błędy systemu plików są poprawione
    2    - Błędy systemu plików są poprawione, system powinien
      być przeładowany, jeśli filesystem był zamontowany
    4    - Błędy systemu plików nie zostały poprawione
    8    - Błąd operacyjny
    16    - Błąd w skłani lub użyciu
    128    - Błąd biblioteki dzielonej

SYGNAŁY
Następujące sygnały mają następujący efekt, gdy zostaną wysłane do e2fsck.

SIGUSR1
    Ten sygnał powoduje, że e2fsck wyświetli pasek postępu. (Zobacz opis opcji -C).

SIGUSR2
    Ten sygnał powoduje, że e2fsck przestanie wyświetlać pasek postępu.

BŁĘDY
Prawie każdy program ma błędy. Jeśli znajdziesz system plików, powodujący pad programu e2fsck lub taki, którego e2fsck nie potrafi naprawić, zgłoś to autorowi.

Załącz tyle informacji, ile da się załączyć w swoim zgłoszeniu błędu. Najlepiej, załącz kompletną transkrypcję uruchomienia e2fsck, tak bym mógł dokładnie widzieć, co się działo. Jeśli masz zapisywalny system plików, gdzie możesz tę transkrypcję zapisać, użyj programu script(1).

Użyteczne może być też przesłanie wyjścia z dumpe2fs(8). Jeśli określony inode lub ich grupa wydaje się sprawiać e2fsck kłopoty, spróbuj uruchomić komendę debugfs(8) i wysłać wyjście komendy stat(1u) na dotkniętych inode. Jeśli inode jest katalogiem, komenda debugfs o nazwie dump umożliwi ekstrakcję zawartości inode katalogu, którą możesz mi przysłać po zakodowaniu jej programem uuencode(1).

Zawsze załączaj też pełny tekst wersji, wyświetlany przez e2fsck podczas pracy.

AUTOR
Ta wersja e2fsck jest napisana przez Theodore Ts'o <tytso@mit.edu>.

ZOBACZ TAKŻE
mke2fs(8), tune2fs(8), dumpe2fs(8), debugfs(8)